guile-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Does Guile honor its configuration options and make flags?


From: Jeffrey Walton
Subject: Re: Does Guile honor its configuration options and make flags?
Date: Tue, 24 Oct 2017 11:50:44 -0400

On Tue, Oct 24, 2017 at 10:31 AM, Jeffrey Walton <address@hidden> wrote:
> I'm having trouble with some linking. Guile was configured with
> --with-pic, and its dependent libraries were built with -fPIC. I'm
> building on x86_64, so CFLAGS and CXXFLAGS include "-m64
> -march=native".
> ...
> Here's part of the script I am using to drive things on my side. All
> of the OPT_ array are valid. 30 or so other Autotool projects
> configure fine with them. It feels like Guile is just ignoring what I
> am telling it to do.
>
>     PKG_CONFIG_PATH="${OPT_PKGCONFIG[*]}" \
>     CPPFLAGS="${OPT_CPPFLAGS[*]}" \
>     CFLAGS="${OPT_CFLAGS[*]}" CXXFLAGS="${OPT_CXXFLAGS[*]}" \
>     LDFLAGS="${OPT_LDFLAGS[*]}" LIBS="${OPT_LIBS[*]}" \
> ./configure --prefix="$INSTALL_PREFIX" --libdir="$INSTALL_LIBDIR" \
>     --enable-shared --enable-static --with-pic \
>     --disable-deprecated \
>     --with-libgmp-prefix="$INSTALL_PREFIX" \
>     --with-libunistring-prefix="$INSTALL_PREFIX" \
>     --with-libiconv-prefix="$INSTALL_PREFIX" \
>     --with-libltdl-prefix="$INSTALL_PREFIX" \
>     --with-readline-prefix="$INSTALL_PREFIX" \
>     --with-libintl-prefix="$INSTALL_PREFIX"
>
> if [[ "$?" -ne "0" ]]; then
>     echo "Failed to configure Guile"
>     [[ "$0" = "${BASH_SOURCE[0]}" ]] && exit 1 || return 1
> fi
>
> MAKE_FLAGS=("-j" "$MAKE_JOBS" "V=1")
> if ! "$MAKE" "address@hidden"
> then
>     echo "Failed to build Guile"
>     [[ "$0" = "${BASH_SOURCE[0]}" ]] && exit 1 || return 1
> fi

Here are the values being used for the arrays:

  PKGCONFIG: /usr/local/lib64/pkgconfig
   CPPFLAGS: -I/usr/local/include -DNDEBUG
     CFLAGS: -m64 -march=native
   CXXFLAGS: -m64 -march=native
    LDFLAGS: -m64 -Wl,-rpath,/usr/local/lib64 -L/usr/local/lib64
-Wl,--enable-new-dtags



reply via email to

[Prev in Thread] Current Thread [Next in Thread]